body {
    max-width: 700px;
    padding: 1rem;
    margin: 0 auto;
    font-family: Arial, Helvetica, sans-serif;
}

h1 {
    font-size: 2.5rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1rem;
}

.header {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    border: 2px solid black;
    margin-bottom: 1rem;
    padding: 1rem;
}

.nav {
    display: flex;
    flex-direction: column;
}

.main {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cards-area {
    display: flex;
    flex-direction:column;
    gap: 1rem;
    border: 2px solid black;
    padding: 1rem;
}

.cards-area .card {
    display: flex;
    flex-direction: column;
    border: 5px solid black;
    border-radius: 1rem;
    background-color: lightgrey;
    padding: 1rem;
}

.recipe-columns {
    display: flex;
    flex-direction: column;
    border: 2px solid black;
    border-radius: 1rem;
    background-color: lightgrey;
    padding: 1rem;
}

section {
    padding: 0.5rem;
}

.search-block {
    padding: 1rem;
}

.hidden {
    display: none;
}

img {
    max-width: 100%;
    height: auto;
}

@media (min-width: 700px){
    body {
        max-width: 100%;
    }

    .header {
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 5rem;
    }

    .recipe-columns {
        flex-direction: row;
        gap: 2rem;
    }

    .cards-area {
        flex-direction: row;
        flex-wrap: wrap;
        gap: 1rem;
    }

    .cards-area .card {
        min-width: 300px;
        flex-grow: 1;
        max-width: calc(50% - 0.5rem);
    }
}
